Exec { timeout => 300 }

$neutron_db_host = '10.35.7.201'
$neutron_db_name = 'neutron'
$neutron_db_user = 'neutron'
$neutron_db_password = '364768fbbcf14372'
$neutron_sql_connection = "mysql://${neutron_db_user}:${neutron_db_password}@${neutron_db_host}/${neutron_db_name}"

$neutron_user_password = '6cfeb2f0e9a44ab3'



class { 'neutron':
  rabbit_host           => '10.35.7.201',
  rabbit_port           => '5672',
  rabbit_user           => 'guest',
  rabbit_password       => 'guest',
  core_plugin           => 'neutron.plugins.ml2.plugin.Ml2Plugin',
  allow_overlapping_ips => true,
  service_plugins       => ['neutron.services.loadbalancer.plugin.LoadBalancerPlugin', 'neutron.services.l3_router.l3_router_plugin.L3RouterPlugin'],
  verbose               => true,
  debug                 => false,
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_tunnel':
  host => 'ALL',
  service_name => 'neutron tunnel port',
  chain => 'INPUT',
  ports => '4789',
  proto => 'udp',
}

class { 'neutron::agents::l3':
  interface_driver        => 'neutron.agent.linux.interface.OVSInterfaceDriver',
  external_network_bridge => '',
  debug                   => false,
}

sysctl::value { 'net.ipv4.ip_forward':
  value => '1'
}



if "eth1" {
  $iface = regsubst('eth1', '[\.\-\:]', '_', 'G')
  $localip = inline_template("<%= scope.lookupvar('::ipaddress_${iface}') %>")
} else {
  $localip = '10.35.7.113'
}

if 'ml2' == 'ml2' {
  class { 'neutron::agents::ml2::ovs':
    bridge_mappings  => ['physnet:br-ex'],
    enable_tunneling => true,
    tunnel_types     => ['vxlan'],
    local_ip         => $localip,
    vxlan_udp_port   => 4789,
    l2_population    => false,
  }
} else {
  class { 'neutron::agents::ovs':
    bridge_mappings  => ['physnet:br-ex'],
    enable_tunneling => true,
    tunnel_types     => ['vxlan'],
    local_ip         => $localip,
    vxlan_udp_port   => 4789,
  }

  file { 'ovs_neutron_plugin.ini':
    path    => '/etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini',
    owner   => 'root',
    group   => 'neutron',
    before  => Service['ovs-cleanup-service'],
    require => Package['neutron-plugin-ovs'],
  }
}



class { 'packstack::neutron::bridge': }


class { 'neutron::agents::dhcp':
  interface_driver => 'neutron.agent.linux.interface.OVSInterfaceDriver',
  debug            => false,
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_dhcp_in_10.35.7.113':
  host => 'ALL',
  service_name => 'neutron dhcp in: ',
  chain => 'INPUT',
  ports => '67',
  proto => 'udp',
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_dhcp_out_10.35.7.113':
  host => 'ALL',
  service_name => 'neutron dhcp out: ',
  chain => 'OUTPUT',
  ports => '68',
  proto => 'udp',
}

class { 'neutron::agents::lbaas':
  interface_driver => 'neutron.agent.linux.interface.OVSInterfaceDriver',
  device_driver    => 'neutron.services.loadbalancer.drivers.haproxy.namespace_driver.HaproxyNSDriver',
  user_group       => 'haproxy',
  debug            => false,
}


class {'neutron::agents::metadata':
  auth_password => '6cfeb2f0e9a44ab3',
  auth_url      => 'http://10.35.7.201:35357/v2.0',
  auth_region   => 'RegionOne',
  shared_secret => 'a8303872e71c4e56',
  metadata_ip   => '10.35.7.201',
  debug         => false,
}

