Exec { timeout => 300 }

$keystone_use_ssl = false

class {"keystone":
    admin_token => "225748767f7d44479cf533c24ed9fd22",
    sql_connection => "mysql://keystone_admin:ed207b7a19bc438e@10.35.7.201/keystone",
    token_format => "UUID",
    verbose => true,
    debug => false,
    mysql_module => '2.2',
    service_name => 'keystone',
    enable_ssl => $keystone_use_ssl,
}

if 'keystone' == 'httpd' {
  include packstack::apache_common
  class {"keystone::wsgi::apache":
    ssl => $keystone_use_ssl,
  }
}

class {"keystone::roles::admin":
    email => "root@localhost",
    password => "023c700ae760486c",
    admin_tenant => "admin"
}

class {"keystone::endpoint":
    region => "RegionOne",
    public_address  => "10.35.7.201",
    admin_address  => "10.35.7.201",
    internal_address  => "10.35.7.201",
}

# Run token flush every minute (without output so we won't spam admins)
cron { 'token-flush':
    ensure => 'present',
    command => '/usr/bin/keystone-manage token_flush >/dev/null 2>&1',
    minute => '*/1',
    user => 'keystone',
    require => [User['keystone'], Group['keystone']],
} -> service { 'crond':
    ensure => 'running',
    enable => true,
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'keystone':
  host => 'ALL',
  service_name => 'keystone',
  chain => 'INPUT',
  ports => ['5000', '35357'],
  proto => 'tcp',
}


class {"glance::keystone::auth":
    region => "RegionOne",
    password => "7ea72f4cfede41ea",
    public_address => "10.35.7.201",
    admin_address => "10.35.7.201",
    internal_address => "10.35.7.201",
}


class {"cinder::keystone::auth":
    region           => "RegionOne",
    password         => "9939764d350642f0",
    public_address   => "10.35.7.201",
    admin_address    => "10.35.7.201",
    internal_address => "10.35.7.201",
}



class {"nova::keystone::auth":
    region => "RegionOne",
    password    => "165dd5c1ad484346",
    public_address => "10.35.7.201",
    admin_address => "10.35.7.201",
    internal_address => "10.35.7.201",
    cinder => true,
}


class {"neutron::keystone::auth":
    region => "RegionOne",
    password    => "6cfeb2f0e9a44ab3",
    public_address => "10.35.7.201",
    admin_address => "10.35.7.201",
    internal_address => "10.35.7.201",
}

class { 'swift::keystone::auth':
  public_address  => '10.35.7.201',
  region => 'RegionOne',
  password => 'c70b27b723ce4d0b',
}


class { 'ceilometer::keystone::auth':
    region => 'RegionOne',
    password => 'aeecf0fc2c7148f4',
    public_address => "10.35.7.201",
    admin_address => "10.35.7.201",
    internal_address => "10.35.7.201",
}
