Exec { timeout => 300 }


# Package mariadb-server conflicts with mariadb-galera-server
package {"mariadb-server":
    ensure => absent,
}

class {"mysql::server":
    package_name     => "mariadb-galera-server",
    restart          => true,
    root_password    => "bb50b84d3eaf4116",
    require          => Package['mariadb-server'],
    override_options => {
      'mysqld' => { bind_address => "0.0.0.0",
                    default_storage_engine => "InnoDB",
                    max_connections => "1024",
                    open_files_limit => '-1',
      }
    }
}

# deleting database users for security
# this is done in mysql::server::account_security but has problems
# when there is no fqdn, so we're defining a slightly different one here
database_user { [ 'root@127.0.0.1', 'root@::1', '@localhost', '@%' ]:
    ensure  => 'absent', require => Class['mysql::server'],
}
if ($::fqdn != "" and $::fqdn != "localhost") {
    database_user { [ "root@${::fqdn}", "@${::fqdn}"]:
        ensure  => 'absent', require => Class['mysql::server'],
    }
}
if ($::fqdn != $::hostname and $::hostname != "localhost") {
    database_user { ["root@${::hostname}", "@${::hostname}"]:
        ensure  => 'absent', require => Class['mysql::server'],
    }
}

class {"keystone::db::mysql":
    user          => 'keystone_admin',
    password      => "ed207b7a19bc438e",
    allowed_hosts => "%",
    charset       => "utf8",
    mysql_module  => '2.2',
}

class {"nova::db::mysql":
  password      => "75dfd5fb4af34b42",
  host          => "%",
  allowed_hosts => "%",
  charset       => "utf8",
  mysql_module  => '2.2',
}

class {"cinder::db::mysql":
  password      => "2d86758dffcd49bb",
  host          => "%",
  allowed_hosts => "%",
  charset       => "utf8",
  mysql_module  => '2.2',
}

class {"glance::db::mysql":
  password      => "4fbdbc8795374aca",
  host          => "%",
  allowed_hosts => "%",
  charset       => "utf8",
  mysql_module  => '2.2',
}

class {"neutron::db::mysql":
  password      => "364768fbbcf14372",
  host          => "%",
  allowed_hosts => "%",
  dbname        => 'neutron',
  charset       => "utf8",
  mysql_module  => '2.2',
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'mariadb_10.35.7.29':
  host => '10.35.7.29',
  service_name => 'mariadb',
  chain => 'INPUT',
  ports => '3306',
  proto => 'tcp',
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'mariadb_10.35.7.113':
  host => '10.35.7.113',
  service_name => 'mariadb',
  chain => 'INPUT',
  ports => '3306',
  proto => 'tcp',
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'mariadb_10.35.7.34':
  host => '10.35.7.34',
  service_name => 'mariadb',
  chain => 'INPUT',
  ports => '3306',
  proto => 'tcp',
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'mariadb_10.35.7.201':
  host => '10.35.7.201',
  service_name => 'mariadb',
  chain => 'INPUT',
  ports => '3306',
  proto => 'tcp',
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'mariadb_10.35.7.30':
  host => '10.35.7.30',
  service_name => 'mariadb',
  chain => 'INPUT',
  ports => '3306',
  proto => 'tcp',
}
