Exec { timeout => 300 }

$neutron_db_host = '10.35.7.201'
$neutron_db_name = 'neutron'
$neutron_db_user = 'neutron'
$neutron_db_password = '364768fbbcf14372'
$neutron_sql_connection = "mysql://${neutron_db_user}:${neutron_db_password}@${neutron_db_host}/${neutron_db_name}"

$neutron_user_password = '6cfeb2f0e9a44ab3'



class { 'neutron':
  rabbit_host           => '10.35.7.201',
  rabbit_port           => '5672',
  rabbit_user           => 'guest',
  rabbit_password       => 'guest',
  core_plugin           => 'neutron.plugins.ml2.plugin.Ml2Plugin',
  allow_overlapping_ips => true,
  service_plugins       => ['neutron.services.loadbalancer.plugin.LoadBalancerPlugin', 'neutron.services.l3_router.l3_router_plugin.L3RouterPlugin'],
  verbose               => true,
  debug                 => false,
}

class { 'neutron::server':
  sql_connection => $neutron_sql_connection,
  connection => $neutron_sql_connection,
  auth_password => $neutron_user_password,
  auth_host => '10.35.7.201',
  enabled => true,
  mysql_module   => '2.2',
}

exec { 'neutron-db-manage upgrade':
  command     => 'neutron-db-manage --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/plugin.ini upgrade head',
  path        => '/usr/bin',
  user        => 'neutron',
  logoutput   => 'on_failure',
  before      => Service['neutron-server'],
  require     => [Neutron_config['database/connection'], Neutron_config['DEFAULT/core_plugin']],
}
# Configure nova notifications system
class { 'neutron::server::notifications':
    nova_admin_username    => 'nova',
    nova_admin_password    => '165dd5c1ad484346',
    nova_admin_tenant_name => 'services',
    nova_url               => 'http://10.35.7.201:8774/v2',
    nova_admin_auth_url    => 'http://10.35.7.201:35357/v2.0',
    nova_region_name       => 'RegionOne',
}

class { 'neutron::plugins::ml2':
  type_drivers          => ['vxlan', 'vlan', 'flat'],
  tenant_network_types  => ['vxlan'],
  mechanism_drivers     => ['openvswitch'],
  flat_networks         => ['*'],
  network_vlan_ranges   => [],
  tunnel_id_ranges      => ['1:1000'],
  vxlan_group           => undef,
  vni_ranges            => ['10:100'],
  enable_security_group => true,
}

# For cases where "neutron-db-manage upgrade" command is called we need to fill config file first
if defined(Exec['neutron-db-manage upgrade']) {
  Neutron_plugin_ml2<||> -> File['/etc/neutron/plugin.ini'] -> Exec['neutron-db-manage upgrade']
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_server_10.35.7.201':
  host => 'ALL',
  service_name => 'neutron server',
  chain => 'INPUT',
  ports => '9696',
  proto => 'tcp',
}

# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'neutron_tunnel':
  host => 'ALL',
  service_name => 'neutron tunnel port',
  chain => 'INPUT',
  ports => '4789',
  proto => 'udp',
}
